package LectureExamples;

import MDLUtilities.Marquee1In_1Out;
import PrologDB.Table;
import PrologDB.Tuple;

public class gen extends MDLUtilities.RunningBear {

    /**
     * produce files from given database of type "ex"
     * @param args the command line arguments
     */
    public static void main(String... args) {
       // Step 1: standard marquee processing
        Marquee1In_1Out mark = new Marquee1In_1Out(gen.class, ".data.pl", ".java", args);
        RBSetup(mark, args);
        
        // Step 2: get the tables from database db
        Table clss = db.getTable("class");
        Table attr = db.getTable("attribute");

        // Step 3: generate files
        for (Tuple c : clss.tuples()) {
            openOut(c.get("name") + ".java");
            l("class %s {", c.get("name"));
            Table attrOf = c.rightSemiJoin("cid", attr, "cid");
            for (Tuple a : attrOf.tuples()) {
                l("  %s %s;", a.get("type"), a.get("name"));
            }
            l("}");
            l();
            closeOut();
        }
    }
}
