package Parsing.DBPrimitives.FixedStrTokens;

import Parsing.GeneralPrimitives.SaveTokens.FixedStringToken;
import Parsing.LineParsers.LineToParse;

/**
 * table token "table"
 */
public class TaBle extends FixedStringToken {

    public static final String tok = "table";

    /**
     * Standard constructor
     */
    public TaBle() {
        super(true);
    }

    /**
     * Standard constructor with line to parse
     *
     * @param l -- LineToParse
     */
    public TaBle(LineToParse l) {
        super(l, true);
    }

    @Override
    public String getTokenString() {
        return tok;
    }

    @Override
    public String getEmsg() {
        return tok;
    }

    @Override
    public TaBle klone(LineToParse l) {
        return new TaBle(l);
    }
}
