package Parsing.TBPrims.Patterns;

import Parsing.GeneralPrimitives.Optionals.Choose1;
import Parsing.GeneralPrimitives.PrimTokens.NumBer;
import Parsing.GeneralPrimitives.PrimTokens.QuotedString;
import Parsing.GeneralPrimitives.Token;
import Parsing.LineParsers.LineToParse;

/**
 * expression
 */
public class Expr extends Choose1 {
    static private final Token[] sequence = { new VarOrFCall(), new NumBer(), new QuotedString() };
    
    /** Standard constructor */
    public Expr() {
        super(sequence);
    }

    /** Standard constructor with line to parse
     * @param l -- LineToParse
     */
    public Expr(LineToParse l) {
        super(l);
    }
    
}
