package Parsing.TBPrims.SkipTokens;

import Parsing.GeneralPrimitives.SaveTokens.FixedStringToken;
import Parsing.LineParsers.LineToParse;

/**
 * a Colon is :." token
 */
public class Colon extends FixedStringToken {

    public static final String tok = ":";

    /**
     * Standard constructor
     */
    public Colon() {
        super(false);
    }

    /**
     * Standard constructor with line to parse
     *
     * @param l -- line to parse
     */
    public Colon(LineToParse l) {
        super(l, false);
    }

    @Override
    public String getTokenString() {
        return tok;
    }

    @Override
    public Colon klone(LineToParse l) {
        return new Colon(l);
    }

    @Override
    public String getEmsg() {
        return tok;
    }
}
