/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package MDL;

import PrologDB.DBSchema;
import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;


public class JHydrate extends MDLUtilities.RunningBear {
    
    public static void marquee() {
      java.io.PrintStream out = System.out;
      out.println("Usage: java MDL.JHydrate X.[txt|schema.pl]");
      out.println("   X.txt       produces X.java, where printlns of txt lines are produced");
      out.println("   X.schema.pl produces X.java, where database schema info is encoded");
    }
    
    public static void main(String... args) {
        if (args.length!=1) {
            marquee();
            return;
        }
        if (args[0].endsWith(".txt")) {
            maintxt(args);
            return;
        }
        if (args[0].endsWith(".schema.pl")) {
            mainSchema(args);
            return;
        }
        marquee();
    }
    
    static void maintxt(String... args) {
        try {
            String txtFileName = args[0];
            String appName = txtFileName.replace(".txt","");
            String outFileName = appName+".java";
            BufferedReader b = new BufferedReader(new FileReader(txtFileName));
            String readLine = "";
            openOut(outFileName);
            l("public class %s {",appName);
            l("   public void txt() {");
            l("      java.io.PrintStream out = System.out;");
            while ((readLine = b.readLine()) != null) {
                  l("      out.println(\"%s\");",readLine);
            }
            l("   }");
            l("}");
            closeOut();
            System.out.format("%s generated\n",outFileName);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
    
    static void mainSchema(String... args) {
        try {
            String schemaFileName = args[0];
            String appName = schemaFileName.replace(".schema.pl","");
            String outFileName = appName+".java";
            DBSchema dbs = DBSchema.read(schemaFileName);
            
            l("public class %s {",appName);
            l("  public DBSchema getSchema()");
            l("     ");
        }
        catch(Exception e) {
            e.printStackTrace();
        }
            
    }
    
}
