package Parsing.TBPrims.Patterns;

import Parsing.TBPrims.SaveToken.IsVariable;
import Parsing.GeneralPrimitives.Optionals.Choose1;
import Parsing.GeneralPrimitives.PrimTokens.Name;
import Parsing.GeneralPrimitives.Patterns.Pattern;
import Parsing.GeneralPrimitives.Token;
import Parsing.LineParsers.LineToParse;

/**
 * expression
 */
public class VarOrFCall extends Pattern {
    
    /** Standard constructor */
    public VarOrFCall() {
        super();
    }

    /** Standard constructor with line to parse
     * @param l -- LineToParse
     */
    public VarOrFCall(LineToParse l) {
        super(l);
    }
    
    @Override
    public Token[] getSequence() {
        if (sequence == null) {
            Token[] s = { new Name(), new Choose1( new Args(), new IsVariable()) };
            sequence = s;
        }
        return sequence;
    }

    @Override
    public VarOrFCall klone(LineToParse l) {
        return new VarOrFCall(l);
    }
}
