package Parsing.TBPrims.SaveToken;

import Parsing.GeneralPrimitives.SaveTokens.FixedStringToken;
import Parsing.LineParsers.LineToParse;

/**
 * table token "table"
 */
public class TaBleModifier extends FixedStringToken {

    public static final String tok = "table";
    public static final int toklen = tok.length();

    /**
     * Standard constructor
     */
    public TaBleModifier() {
        super(true);
    }

    /**
     * Standard constructor with line to parse
     *
     * @param l -- LineToParse
     */
    public TaBleModifier(LineToParse l) {
        super(l, true);
    }
    
    @Override
    public void consumeToken() {
        toBeParsed.returnSave(toklen);
    }

    @Override
    public String getTokenString() {
        return tok;
    }

    @Override
    public String getEmsg() {
        return tok;
    }

    @Override
    public TaBleModifier klone(LineToParse l) {
        return new TaBleModifier(l);
    }
}
