package Parsing.YumlPrimitives.Choose;

import Parsing.YumlPrimitives.FixedSave.Diamond;
import Parsing.GeneralPrimitives.SaveTokens.Nothing;
import Parsing.GeneralPrimitives.Optionals.Choose1;
import Parsing.LineParsers.LineToParse;
import Parsing.GeneralPrimitives.Token;
import Parsing.YumlPrimitives.FixedSave.Gtr;
import Parsing.YumlPrimitives.FixedSave.Hat;
import Parsing.YumlPrimitives.FixedSave.PlusPlus;

/** Yuml Token: choose1( diamond, plusplus, hat, gtr, nothing) */
public class End2 extends Choose1 {
    private static Token[] sequence = {new Diamond(), new PlusPlus(), new Hat(), new Gtr(), new Nothing()};
    
    /** Standard constructor */
    public End2() {
        super(sequence);
    }
    
    /** Standard constructor with line to parse
     * @param l -- LineToParse 
     */
    public End2(LineToParse l) {
        super(l);
    }
}
